<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Kursplanung\KursKopie;


class KursKopieUseCase extends \Kufer\Web\KuferTools\Basis\KursPlanung\KursKopie\KursKopieUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSPLANUNG_DOZ;
  }

  public static function getToolSectionId()
  {
    return 280;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('282.0.1')) {
      return false;
    }

    return true;
  }
}